# frozen_string_literal: true

require "rubocop"

module Lintress
  class Runner

    attr_reader :offenses

    def initialize
      @rubocop = RuboCop::CLI.new
    end

    def run
      nsout = StringIO.new
      osout = $stdout # store the old STDOUT construct
      $stdout = nsout
      @rubocop.run
      @offenses = $stdout.string

      # return to old STDOUT
      $stdout = osout
      # puts @offenses
    end
  end
end
